vulnerability with flash

i haven’t looked into the specifics, but there seems to be a serious flaw with CID. a flaw that might open a person’s computer to intrusions?

i now go to some websites and CID loads flash player and the container. that would be ok…if there was flash on the page, but there is not. they merely use flash and that vulnerability to get their popups opened.

since CID is doing it…is firefox also. is it a vulnerability in firefox and CID? i don’t use firefox.

seems like both should want to find a fix? rather quickly?

Please don’t crosspost. I replied in your other topic. Let’s continue the conversation there.